<?php

/**
 *
 * @link              http://wpgenie.org
 * @since             1.0.0
 * @package           Woocommerce_Simple_Storewide_Sale
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Simple Storewide Sale
 * Plugin URI:        https://wpgenie.org/woocommerce-simple-storewide-sale/documentation/
 * Description:       WooCommerce Simple Storewide Sale is a plugin and excellent marketing tool which allows you to have sitewide sales like for Black Friday, Christmas, clerance, store anniversary or some other special day.
 * Version:           1.1.5
 * Author:            wpgenie
 * Author URI:        http://wpgenie.org/
 * Requires at least: 4.0
 * Tested up to: 	  4.9.6
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wc-simple-storewide-sale
 * Domain Path:       /languages
 *
 * WC requires at least: 2.6.0
 * WC tested up to: 3.4.1
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	die;
}
if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {

	/**
	 * The core plugin class that is used to define internationalization,
	 * admin-specific hooks, and public-facing site hooks.
	 */
	require plugin_dir_path( __FILE__ ) . 'includes/class-wc-simple-storewide-sale.php';

	/**
	 * Begins execution of the plugin.
	 *
	 * Since everything within the plugin is registered via hooks,
	 * then kicking off the plugin from this point in the file does
	 * not affect the page life cycle.
	 *
	 * @since    1.0.0
	 */
	function run_wc_simple_storewide_sale() {
		global $Woocommerce_Simple_Storewide_Sale;
		$Woocommerce_Simple_Storewide_Sale = new Woocommerce_Simple_Storewide_Sale();
		$Woocommerce_Simple_Storewide_Sale->run();

	}

	add_action( 'woocommerce_init', 'run_wc_simple_storewide_sale' );

} else {

	add_action( 'admin_notices', 'wc_simple_storewide_sale' );
	function wc_simple_storewide_sale() {
		global $current_screen;
		if ( $current_screen->parent_base == 'plugins' ) {
			echo '<div class="error"><p>Woocommerce Simple Storewide Sale ' . __( 'requires <a href="http://www.woothemes.com/woocommerce/" target="_blank">WooCommerce</a> to be activated in order to work. Please install and activate <a href="' . admin_url( 'plugin-install.php?tab=search&type=term&s=WooCommerce' ) . '" target="_blank">WooCommerce</a> first.', 'wc_lottery' ) . '</p></div>';
		}
	}
	$plugin = plugin_basename( __FILE__ );

	include_once ABSPATH . 'wp-admin/includes/plugin.php';

	if ( is_plugin_active( $plugin ) ) {
		deactivate_plugins( $plugin );
	}
	if ( isset( $_GET['activate'] ) ) {
		   unset( $_GET['activate'] );
	}
}
